#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! python3 -m sphinx -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html ; then \
		cat /tmp/sphinx-err-*.log ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif
